Retrieve the jobs of a specific campaign
Requires the CAMPAIGNOVERVIEW security role.
Query Parameters
Retrieve jobs created after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Example:2020-01-01T12:00:00Z
Set a date range together with the “dateCreated” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Example:2020-01-01T12:00:00Z
Retrieve jobs modified after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Example:2020-01-01T12:00:00Z
Set a date range together with the “dateModified” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Example:2020-01-01T12:00:00Z
Retrieve jobs with a deadline after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Example:2020-01-01T12:00:00Z
Retrieve jobs with a deadline before this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Example:2020-01-01T12:00:00Z
Example:00000000000000000000000000000000,00000000000000000000000000000000
Example:00000000000000000000000000000000,00000000000000000000000000000000
Example:Approved,NeedsChanges
Example:dateModified desc
Example:100
Example:1
Path Parameters
Example:00000000-0000-0000-0000-000000000000
Response
200 application/json
Response
Successful response
Show Child Parameters
Show Child Parameters
Show Child Parameters
Show Child Parameters
Show Child Parameters
Authentication
Path Parameters
Query Parameters
Job media
Retrieve media of specific job
Requires the JOBOVERVIEW security role.
Path Parameters
Example:00000000-0000-0000-0000-000000000000
Response
200 application/json
Response
Successful response
Show Child Parameters
Show Child Parameters
Authentication
Path Parameters
File upload
Upload a file to a workflow job
To upload a file to a workflow job it needs to be uploaded via the Upload file endpoint for modern stack. After completing the various steps described in the Upload file endpoint, the fileId retrieved from those steps is needed in this request to reference the file to the job. This file will be attached to the job only.
Warning: Requires the JOBEDIT security role.
Warning: Is only available for Files-Service portals.
Path Parameters
The id of a Job.
Example:00000000-0000-0000-0000-000000000000
Body
application/json
Body
Id of the parent asset if this file is a new version of an asset
Example:00000000-0000-0000-0000-000000000002
Id of the file to be saved to the job (to be retrieved from Upload file endpoint)
Example:00000000-0000-0000-0000-000000000001
Size of the file in bytes
Example:50000
Value to be used as filename
Example:example-name.jpg
Response
200 application/json
Response
Successful response
Media ID of the uploaded file
Example:00000000000000000000000000000000